.t_gradient_o {
    background: rgb(255, 166, 0);
    background: linear-gradient(0deg, rgba(255, 166, 0, 0.30575980392156865) 0%, rgba(255, 166, 0, 0) 100%);
    /*ffa600*/ /* ffa600*/
}

.t_gradient_inactive {
    background: rgb(134, 134, 134);
    background: linear-gradient(0deg, rgba(134, 134, 134, 0.40940126050420167) 0%, rgba(245, 161, 4, 1) 100%);
}

.t_gradient_active {
    background: rgb(0, 255, 42);
    background: linear-gradient(180deg, rgba(0, 255, 42, 0.5242471988795518) 0%, rgba(249, 249, 249, 1) 100%);
}

.t_gradient_red {
    background: linear-gradient(0deg, rgba(255, 252, 252, 0) 29%, rgba(245, 4, 4, 0.43461134453781514) 100%);
}


.btn_info {
    background-image: url("../img/info.svg");
}

.is_invalid {
    border-color: red !important;
    color: red !important;
}

.is_valid {
    border-color: green !important;
    color: green !important;
}

.is_warning {
    border-color: #f0ad4e !important;
    color: #eea236 !important;
}

.modal-ku {
    width: 1200px !important;
    margin: auto !important;
}


@media print {

    @page {
        size: A4 landscape;
    }
}


.moodleTable tbody tr {
    background: var(--bg);
    color: var(--color);
    transition: 0.5s
}

.moodleTable tbody tr:hover {
    background: black;
    color: white;
}

/*
.modal-dialog {
    width: 100% !important;
    height: 100%!important;
    margin: 0!important;
    padding: 0!important;
}
.modal-body {
    max-height: calc(100vh - 210px);
    overflow-y: auto;
}
.modal-content {
    width: 1900px!important;

    min-height: 100%;
    border-radius: 0;
}*/

/******* stepper ***/


.stepwizard-step p {
    margin-top: 10px !important;
}

.stepwizard-row {
    display: table-row !important;
}

.stepwizard {
    display: table !important;
    width: 50% !important;
    position: relative !important;
}

.stepwizard-step button[disabled] {
    opacity: 1 !important;
    filter: alpha(opacity=100) !important;
}

.stepwizard-row:before {
    top: 14px !important;
    bottom: 0 !important;
    position: absolute !important;
    content: " " !important;
    width: 100% !important;
    height: 1px !important;
    background-color: #ccc !important;
    z-order: 0 !important;
}

.stepwizard-step {
    display: table-cell !important;
    text-align: center !important;
    position: relative !important;
}

.btn-circle {
    width: 30px !important;
    height: 30px !important;
    text-align: center !important;
    padding: 6px 0 !important;
    font-size: 12px !important;
    line-height: 1.428571429 !important;
    border-radius: 15px !important;
    opacity: 1 !important;
}

.isDisabledLink {
    cursor: not-allowed !important;
    opacity: 0.5 !important;
    text-decoration: none !important;
    pointer-events: none;

}

#button {
    display: inline-block;
    background-color: #f0ad4e;
    width: 40px;
    height: 40px;
    text-align: center;
    border-radius: 4px;
    position: fixed;
    bottom: 0px;
    right: 0px;
    transition: background-color .3s,
    opacity .5s, visibility .5s;
    opacity: 0;
    visibility: hidden;
    z-index: 1000;
}

#button::after {
    content: "\f077";
    font-family: FontAwesome;
    font-weight: normal;
    font-style: normal;
    font-size: 2em;
    line-height: 40px;
    color: #fff;
}

#button:hover {
    cursor: pointer;
    background-color: #333;
}

#button:active {
    background-color: #555;
}

#button.show {
    opacity: 1;
    visibility: visible;
}

@media (min-width: 500px) {
    .content {
        width: 43%;
    }

    #button {
        margin: 30px;
    }
}

.popover {
    max-width: 100% !important;
}

.tableMenuMain td:hover {

    background-color: #f2f2f2;;

}

pre {
    display: block;
    padding: 9.5px;
    margin: 0 0 10px;
    font-size: 13px;
    line-height: 1.428571429;
    color: #333;
    word-break: break-all;
    word-wrap: break-word;
    background-color: #f5f5f5;
    border: 1px solid #ccc;
    border-radius: 4px;
}

.panel-heading.note-toolbar {
    padding: 0 0 5px 5px;
    margin: 0;
    overflow-y: unset;
}

#selgitus td {
    border: 1px solid;
}

.card-head {
    background-color: transparent;
    border-bottom: 1px solid rgba(0, 0, 0, .125);
    padding: 0.75rem 1.25rem;
    position: relative;
    border-top-left-radius: 0.25rem;
    border-top-right-radius: 0.25rem;
}

.has-error {
    color: #721c24;
    /*background-color: #f8d7da;*/
    border-color: #f5c6cb;
}
.has-error:focus {
    color: #721c24;
    background-color: #f8d7da;
    border-color: #f5c6cb;
    outline: 0;
    box-shadow: 0 0 0 0.2rem rgba(220, 53, 69, 0.25);
}
.has-error::-webkit-input-placeholder {
    color: #721c24;
}
.has-error::-moz-placeholder {
    color: #721c24;
}
.has-error:-ms-input-placeholder {
    color: #721c24;
}
.has-error::placeholder {
    color: #721c24;
}
.hidden{
    display: none;
}